Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
GETSNS OperationsSince 5.0.0SynchronousAuth Required

QuerySNSEmailAddress

QuerySNSEmailAddress

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • emailAddressStringRequired

      邮箱地址。

    • endpointUuidStringRequired

      端点UUID。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/sns/application-endpoints/emails/email-addresses

/zstack/v1/sns/application-endpoints/emails/email-addresses

Operation ID

QuerySNSEmailAddress

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/sns/application-endpoints/emails/email-addresses' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "102431efdb133a70b7e04347de22e396", "emailAddress": "test@zstack.io", "endpointUuid": "4ff65a1d7762348495dd0c4da110d7cd", "createDate": "Dec 25, 2023 2:08:35 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history